SparkFun SGP40 Library
===========================================================
[![SparkX SGP40 Breakout (Qwiic) (SPX-17729)](https://cdn.sparkfun.com//assets/parts/1/6/8/4/5/17729-SGP40_Air_Quality_Sensor-01.jpg)](https://www.sparkfun.com/products/17729)

[*SparkX SGP40 Breakout (Qwiic) (SPX-17729)*](https://www.sparkfun.com/products/17729)

The SGP40 is a digital gas sensor designed for easy integration into air purifiers or demand-controlled ventilation systems.
Sensirion’s CMOSens® technology offers a complete, easy to use sensor system on a single chip featuring a digital
I<sup>2</sup>C interface and a temperature controlled micro hotplate, providing a humidity compensated VOC based indoor air quality signal.

This library uses Sensirion’s powerful VOC Algorithm to translate the sensor's raw output signal into a VOC Index as a robust measure for indoor air quality.

The VOC Algorithm automatically adapts to the environment the sensor is exposed to. Both sensing element and
VOC Algorithm feature an unmatched robustness against contaminating gases present in real world applications enabling a unique long term
stability as well as low drift and device to device variation.

SparkFun labored with love to create this code. Feel like supporting open source hardware?
Buy a [board](https://www.sparkfun.com/products/17729) from SparkFun!

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE.
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE.
* **library.properties** - General library properties for the Arduino package manager.

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfunX/SparkX_Air_Quality_Sensor-SGP40)** - Main repository (including hardware files)

Products that use this library
--------------
* [SPX-17729](https://www.sparkfun.com/products/17729)- SparkX Version

License Information
-------------------

This product is _**open source**_!

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
